<template>
    <div style="position: relative">
    <div class="all-user-rectangle">
        <b-container>
            <b-row>
                <div
                    class="image" 
                    size="md" 
                    :style="{ 'background-image': `url(${previewImage})` }" 
                >
                </div>
            </b-row>
        </b-container>
        <div class="nametitle row mt-3 text-center">
            <p class="name"> <span> {{ user.first_name }} </span> <span> {{ user.last_name }} </span></p>
        </div>
        <hr class="lign">
        <div class="row mx-2 mt-2">
            <div class="user-rectangle">  
                <p class="user-info text-left"> {{ street }} </p>
            </div>
        </div>
        <div class="row mx-2 mt-2">
            <div class="col-4">  
            <div class="postcode-rectangle">  
                <p class="user-city"> {{ postcode }} </p>
            </div>
            </div>

            <div class="col-7">  
            <div class="city-rectangle">  
                <p class="user-city"> {{ city }} </p>
            </div>
            </div>
        </div>
        <div class="row mx-2 mt-2">
            <div class="user-rectangle">  
                <p class="user-info"> {{ country }} </p>
            </div>
        </div>
        <div class="row mx-2 mt-2">
            <div class="user-rectangle">  
                <p class="user-info"> {{ user.email }} </p>
            </div>
        </div>
        <div class="row mx-2 mt-2">
            <div class="user-rectangle">  
                <p class="user-info"> {{ user.phone_number }} </p>
            </div>
        </div>
    </div>
    </div>
</template>

<script>
import Vue from "vue";

export default Vue.extend({
    name: 'ProfileComponent',

    data: () => ({
        user: {
            first_name: "",
            last_name: "",
            email: "",
            phone_number: "",
        },
        street: "",
        postcode: "",
        city: "",
        country: "",
        previewImage: null,  
    }),
    
    mounted() {
        if (localStorage.user) {
            this.user = JSON.parse(localStorage.user);
            const fullAddress = this.user.address.split(';')
            this.street = fullAddress[0]
            this.postcode = fullAddress[1]
            this.city = fullAddress[2]
            this.country = fullAddress[3]
        }
    }
});

</script>

<style scoped>

.all-user-rectangle {
    background-color: #FFF1D8;
	width:350px;
	height:550px;
    border-radius: 20px;
    margin-top: 10px;
    margin-left: 15px;
    margin: auto;
}

.lign{
    width:70%;
    color:black;
    background-color:black;
    height:2px;
    border-radius: 10px;
    margin: auto;
}

.image{
    background-color: #A9A9A9;
    border-radius: 100%;
    width:100px;
	height:100px;
    margin: auto;
    margin-top: 10px;
    background-size: cover;
    background-position: center center;
}

.name{
    font-size: 20px;
    color: #000000;
}

.user-info{
    font-size: 16px;
    color: #000000;
    margin-top: 5%;
}

.user-city{
    font-size: 16px;
    color: #000000;
    margin-top: 0%;
}

.user-rectangle {
    background-color: #FFFFFF;
	width:320px;
	height:50px;
    border-radius: 20px;
    margin: auto;
    margin-top: 10px;
}

.postcode-rectangle {
    background-color: #FFFFFF;
	width:100px;
	height:50px;
    border-radius: 20px;
}
.city-rectangle {
    background-color: #FFFFFF;
	width:200px;
	height:50px;
    border-radius: 20px;
}
</style>